﻿Partial Public Class Page
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub
 Private N As Integer
 Private Sub stb_Completed(ByVal sender As Object, ByVal e As EventArgs)
  If N < rc.Children.Count Then
   StartElementaryAnimation(N)
   N += 1
  End If
 End Sub
 Private Sub StartElementaryAnimation(ByVal n As Integer)
  Dim li As Line = TryCast(rc.Children(n), Line)
  If li IsNot Nothing Then
   daX.From = li.X1 - ball.Width / 2
   daX.To = li.X2 - ball.Width / 2
   daY.From = li.Y1 - ball.Width / 2
   daY.To = li.Y2 - ball.Width / 2
   n += 1
   stb.Begin()
  End If
 End Sub
 Private bDrawing As Boolean
 Private xPrevPt, yPrevPt As Double
 Private Sub rc_MouseLeftButtonDown(ByVal sender As Object, ByVal e As MouseEventArgs)
  rc.Children.Clear()
  bDrawing = True
  xPrevPt = e.GetPosition(rc).X ' retenir le point précédent
  yPrevPt = e.GetPosition(rc).Y
  ball.Opacity = 0
 End Sub
 Private Sub rc_MouseLeftButtonUp(ByVal sender As Object, ByVal e As MouseEventArgs)
  bDrawing = False
  N = 0
  ball.Opacity = 1
  StartElementaryAnimation(N)
 End Sub
 Private Sub rc_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
  If bDrawing Then
   Dim li As New Line()
   Dim xCurPt As Double = e.GetPosition(rc).X
   Dim yCurPt As Double = e.GetPosition(rc).Y
   li.X1 = xPrevPt
   li.Y1 = yPrevPt
   li.X2 = xCurPt
   li.Y2 = yCurPt
   li.Stroke = New SolidColorBrush(Colors.Red)
   li.StrokeThickness = 2
   rc.Children.Add(li)
   xPrevPt = xCurPt
   yPrevPt = yCurPt
  End If
 End Sub
End Class